# Uses of Interface
org.opensaml.saml.saml1.core.Evidentiary

Packages that use Evidentiary
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of Evidentiary in org.opensaml.saml.saml1.core

Subinterfaces of Evidentiary in org.opensaml.saml.saml1.core
Modifier and Type
Interface
Description
`interface`
`Assertion`
This interface defines how the object representing a SAML 1 `Assertion` element behaves.
`interface`
`AssertionIDReference`
This interface defines how the object representing a SAML 1 `AssertionIDReference` element behaves.
Methods in org.opensaml.saml.saml1.core that return types with arguments of type Evidentiary
Modifier and Type
Method
Description
`List<Evidentiary>`
Evidence.`getEvidence()`
Get the list of all `Evidentiary` child elements.

## Uses of Evidentiary in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement Evidentiary
Modifier and Type
Class
Description
`class`
`AssertionIDReferenceImpl`
Concrete Implementation of `AssertionIDReference` Object.
`class`
`AssertionImpl`
This class implements the SAML 1 `Assertion` statement.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type Evidentiary
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<Evidentiary>`
EvidenceImpl.`evidence`
The Evidentiary child elements.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type Evidentiary
Modifier and Type
Method
Description
`List<Evidentiary>`
EvidenceImpl.`getEvidence()`
Get the list of all `Evidentiary` child elements.